<template>
    <v-card flat>
        <v-card-actions>
            <v-spacer></v-spacer>
            <v-btn color="secondary" icon light type="submit" @click="handleClose">
                <v-icon>mdi-close</v-icon>
            </v-btn>
        </v-card-actions>
        <v-list>
            <v-subheader>
                Commande passée le {{orderDetails.paymentDate}}
                <v-spacer></v-spacer>
                <b>Prix total : {{orderDetails.price}}</b>
            </v-subheader>
            <v-list-item v-for="cartProduct in orderDetails.cartProducts" :key="cartProduct.id">
                <v-list-item-content>
                    <v-card>
                      <div class="d-flex flex-no-wrap justify-space-between">
                        <div>

                          <v-card-title>
                              <b>{{cartProduct.product.name}}</b>
                              <v-tooltip bottom>
                                  <template v-slot:activator="{ on, attrs }">
                                      <router-link :to="{name:'ProductShow', params:{id:cartProduct.product.id}}"
                                          target="_blank">
                                          <v-icon small color="blue" class="custom-icon" v-bind="attrs" v-on="on">
                                              mdi-open-in-new
                                          </v-icon>
                                      </router-link>
                                  </template>
                                  <span>Ouvrir le produit</span>
                              </v-tooltip>
                          </v-card-title>
                          <v-card-text>
                              <v-rating v-model="cartProduct.product.notation" color="yellow darken-3" background-color=""
                                  half-increments x-small>
                              </v-rating>
                              <p>{{cartProduct.product.description}}</p>
                              <p>Loué du <b>{{formatRentString(cartProduct)}}</b></p>
                              
                          </v-card-text>
                        </div>
                        <v-avatar class="ma-3" size="185" tile>
                            <div>
                            <p>A récupérer au magasin <b>{{cartProduct.product.store.company.name}}</b></p>
                            <p>
                             <i>{{cartProduct.product.store.street}} </i>
                             <i>{{cartProduct.product.store.city}}, {{cartProduct.product.store.zc}} </i>
                             <i>{{cartProduct.product.store.country}}</i>
                            </p>
                            </div>
                        </v-avatar>
                      </div>
                    </v-card>
                    <v-spacer></v-spacer>

                </v-list-item-content>
            </v-list-item>

        </v-list>
    </v-card>
</template>

<script>

import moment from 'moment';
export default {
  name: 'UserOrdersDetails',
  mixins: [],
  components:{
  },
  props: {
    orderDetails : Object
  },
  data: () => ({
  }),
  methods: {
    handleClose: function() {
       this.$emit('closed');
    },
    openProduct: function(product) {
      this.$router.push({name:'ProductShow', params:{id:product.id}});
    },
    formatRentString: function(item) {
      return moment(item.dateStart).format('DD-MM-YYYY') + ' au ' +  moment(item.dateEnd).format('DD-MM-YYYY');
    }
  },

}
</script>

<style lang="scss" scoped>
  .custom-subtitle {
    width: 25%;
  }
  .custom-icon {
    cursor: pointer;
  }
</style>